8 Replies Latest reply: Oct 26, 2011 10:44 AM by MMImedia
paul164 Level 1 Level 1 (0 points)

need to upgrade operating system so that iphone can run on itunes 10, which doesn't run on OS 10.4. I understand that there are compatibility problems with final cut pro and snow leopard. Are there also problems with 10.5?


Final Cut Pro 6, Mac OS X (10.5), compatibility